package com.lanyuanxiaoyao.service.yarn.service;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.lanyuanxiaoyao.service.configuration.entity.yarn.YarnApplication;
import org.eclipse.collections.api.list.ImmutableList;

/**
 * Job
 *
 * @author lanyuanxiaoyao
 * @date 2023-04-23
 */
public interface JobService {
    ImmutableList<YarnApplication> list() throws JsonProcessingException;

    ImmutableList<YarnApplication> listEquals(String name) throws JsonProcessingException;

    ImmutableList<YarnApplication> listLike(String text) throws JsonProcessingException;

    void kill(String applicationId);

    YarnApplication detail(String applicationId) throws Exception;
}
